com.taosdata.jdbc.ws.entity

## Class Request

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Request

    public class Request
    extends Object

send to taosadapter

### Constructor Summary

Constructors
Constructor and Description
`Request(String action, Payload args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAction()`
`Payload` `getArgs()`
`Long` `id()`
`void` `setAction(String action)`
`void` `setArgs(Payload args)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Request

    public Request(String action,
                   Payload args)

### Method Detail

#### getAction

    public String getAction()

#### id

    public Long id()

#### setAction

    public void setAction(String action)

#### getArgs

    public Payload getArgs()

#### setArgs

    public void setArgs(Payload args)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`